<?php
###########################
#Скрипт: Топ-Рейтинг	  #
#Автор: SL_NeKrOmAnT      #
#Версия: 1.2.1(Free)      #
#ICQ: 313886              #
#MAIL: maloy_s95@mail.ru  #
###########################
session_start();
define('NTOP', 1);
$title = 'Регистрация';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
if($set['power_reg'] == 0)
	{
		echo '<div class="error">';
		echo 'Регистрация закрыта!<br/>';
		echo '</div>';
		require_once ('foot.php');
		exit;
	}
echo '<div class="title2">Регистрация</div>';
if(isset($_POST['ok']))
	{
		$login = filter($_POST['login']);
		$mail = filter($_POST['mail']);
		$pass = filter($_POST['password']);
		$pass1 = filter($_POST['password1']);
		$kod = (int)$_POST['kod'];
		$error = '';
		if(empty($login) or empty($mail) or empty($pass) or empty($pass1) or empty($kod))
			{
				$error .= 'Все поля обязательны к заполнению!<br/>';
			}
		if($pass != $pass1)
			{
				$error .= 'Пароли не совпадают!<br/>';
			}
		if($_SESSION['kod']!=$kod)
			{
				$error .= 'Код с картинки введён не верно!<br/>';
			}
		if (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."users` WHERE `login` = '".$login."' LIMIT 1")) != 0)
			{
				$error .= 'Логин уже зарегистрирован! Выберите другой!<br/>';
			}
		if (!preg_match('|^[a-z0-9\-_]+$|i',$login))
			{
				$error .= 'В логине можно использовать только латиницу и цифры!<br/>';
			}
		if (!empty($mail) and !preg_match('#^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+(\.([A-Za-z0-9])+)+$#', $mail))
			{
				$error .= 'Вы ввели неверный адрес e-mail, необходим формат name@site.domen!<br/>';
			}
		if (!empty($mail) and (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."users` WHERE `mail` = '".$mail."' LIMIT 1")) != 0))
			{
				$error .= 'Пользователь с таким e-mail уже зарегистрирован!<br/>';
			}
		if(!empty($error))
			{
				echo '<div class="error">';
				echo $error;
				echo '<a href="http://'.$set['home.'].'reg.php">Назад</a><br/>';
				echo '</div>';
			}
		else
			{
				$subject = "Регистрация в топ рейтинге ".$set['home'];
				$body = "Вы зapeгиcтриpoвaны в рейтинге сайтов ".$set['home'].".\nВaши дaнные:\n";
				$body .= "Логин: ".$login."\nПароль: ".$pass."\n";
				$body .= "Не теряйте свои данные!\n";
				$headers = "From: ".$set['mail']." \n";
				$headers .= "Content-Type: text/plain; charset=utf-8\n";
				mail($mail, $subject, $body, $headers);
				unset($_SESSION['kod']);
				$reg = mysql_query("INSERT INTO `".$prefix."users` SET `login` = '".$login."', `password` = '".md5($pass)."', `mail` = '".$mail."', `page_news` = '".$set['page_news']."', `page_newsc` = '".$set['page_newsc']."', `page_sait` = '".$set['page_sait']."', `page_platforms` = '".$set['page_platforms']."', `page_top` = '".$set['page_top']."', `page_sait_comments` = '".$set['page_sait_comments']."', `pages` = '".$set['pages']."', `level` = '1', `time_reg` = '".time()."'");
				if($reg)
					{
						echo 'Вы успешно зарегистрировались в Топ-Рейтинге <strong>'.$set['name'].'</strong> !<br/>';
						echo '<a href="http://'.$set['home'].'/str/enter.php">Вход</a><br/>';
					}
				else
					{
						echo 'Вы не зарегистрированы!<br/>';
						echo '<a href="http://'.$set['home'].'/str/reg.php">Назад</a><br/>';
					}
			}
	}
else
	{
		echo '<div class="main">';
		echo'
		<form action="reg.php" method="post">
		Логин: [A-z0-9_-]<br/>
		<input name="login" type="text" value="'.$_POST['login'].'" /><br/>
		Пароль:<br/>
		<input name="password" type="text" value="" /><br/>
		Повторите пароль:<br/>
		<input name="password1" type="text" value="" /><br/>
		Почта :<br/>
		<input name="mail" type="text" value="'.$_POST['mail'].'" /><br/>
		Код с картинки: <img src="http://'.$set['home'].'/system/cap.php" alt="captcha" /><br/>
		<input name="kod" type="text" value="" /><br/>
		<input name="ok" type="submit" value="Регистрировать" /></form>
		';
		echo '<small>Все поля ОБЯЗАТЕЛЬНЫ к заполнению!</small>';
		echo '</div>';
	}

require_once ('foot.php');
?>
